- Qt 5.5
- Qt Location
- C++ Classes
- QPlaceMatchReply
- Qt 5.5.1 Reference Documentation

# QPlaceMatchReply Class

The QPlaceMatchReply class manages a place matching operation started by an instance of QPlaceManager. More...

Header: | #include <QPlaceMatchReply>
qmake: | QT += location
Since: | Qt 5.5
Inherits: | QPlaceReply

- List of all members, including inherited members

## Public Functions

| QPlaceMatchReply(QObject * parent = 0)
| ~QPlaceMatchReply()
QList<QPlace> | places() const
QPlaceMatchRequest | request() const

## Reimplemented Public Functions

virtual QPlaceReply::Type | type() const

- 4 public functions inherited from QPlaceReply

## Protected Functions

void | setPlaces(const QList<QPlace> & places)
void | setRequest(const QPlaceMatchRequest & request)

- 2 protected functions inherited from QPlaceReply

### Additional Inherited Members

- 1 public slot inherited from QPlaceReply
- 2 signals inherited from QPlaceReply

## Detailed Description

The QPlaceMatchReply class manages a place matching operation started by an instance of QPlaceManager.

If the operation is successful, the number of places in the reply matches those in the request. If a particular place in the request is not found, a default constructed place is used as a place holder in the reply. In this way, there is always a one is to one relationship between input places in the request, and output places in the reply.

If the operation is not successful the number of places is always zero.

See Matching places between managers for an example on how to use a match reply.

See also QPlaceMatchRequest and QPlaceManager.

## Member Function Documentation

### QPlaceMatchReply::QPlaceMatchReply(QObject * parent = 0)

Constructs a match reply with a given parent.

### QPlaceMatchReply::~QPlaceMatchReply()

Destroys the match reply.

### QList<QPlace> QPlaceMatchReply::places() const

Returns a list of matching places;

See also setPlaces().

### QPlaceMatchRequest QPlaceMatchReply::request() const

Returns the match request that was used to generate this reply.

See also setRequest().

### `[protected]` void QPlaceMatchReply::setPlaces(const QList<QPlace> & places)

Sets the list of matching places.

See also places().

### `[protected]` void QPlaceMatchReply::setRequest(const QPlaceMatchRequest & request)

Sets the match request used to generate this reply.

See also request().

### `[virtual]` QPlaceReply::Type QPlaceMatchReply::type() const

Reimplemented from QPlaceReply::type().

Returns the type of reply.